package com.update.update.controller;


import com.update.update.entity.fresh;
import com.update.update.util.GJson;
import org.json.JSONException;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import com.update.update.service.impl.freshServiceImpl;
import com.update.update.service.impl.refreshServiceImpl;
import com.update.update.util.ServletUtil;
import com.update.update.util.StringUtil;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@RestController
public class freshController {
    @Autowired
    freshServiceImpl freshS = new freshServiceImpl();

    @RequestMapping(value = "/add", method = RequestMethod.POST)
    public void addVersion(HttpServletRequest request, HttpServletResponse response) throws JSONException {
        JSONObject result = new JSONObject();
        String VersionId = request.getParameter("VersionId");
        String apkUrl = request.getParameter("apkUrl");
        String updateDescription = request.getParameter("updateDescription");
        if (StringUtil.isNull(VersionId)) {
            result.put("message", "不能为空!");
            result.put("flag", false);
            ServletUtil.createSuccessResponse(200, result, response);
            return;
        }
        if (StringUtil.isNull(apkUrl)) {
            result.put("message", "不能为空!");
            result.put("flag", false);
            ServletUtil.createSuccessResponse(200, result, response);
            return;
        }
        if (StringUtil.isNull(updateDescription)) {
            result.put("message", "不能为空!");
            result.put("flag", false);
            ServletUtil.createSuccessResponse(200, result, response);
            return;
        }
        fresh f = new fresh();
        f.setVersionId(VersionId);
        f.setApkUrl(apkUrl);
        f.setUpdateDescription(updateDescription);
        int index = freshS.add(f);
        if (index > 0) {
            result.put("message", "信息添加成功!");
            result.put("flag", true);
        } else {
            result.put("message", "信息添加失败!");
            result.put("flag", false);
        }
        ServletUtil.createSuccessResponse(200, result, response);
    }
@RequestMapping(value = "/updating",method = RequestMethod.POST)
    public void updating(HttpServletRequest request, HttpServletResponse response) throws Exception {
        String oldVersionId = request.getParameter("oldVersionId");
        ServletUtil.createSuccessResponse(200, GJson.toJson(new refreshServiceImpl().new_version(oldVersionId)),response);
}
}
